wxRuby Documentation Home

# Wx::TextDropTarget

A predefined drop target for dealing with text data.

## Derived from

DropTarget

## See also

Drag and drop overview, DropSource,
DropTarget, FileDropTarget

## Methods

- TextDropTarget.new
- TextDropTarget#on_drop
- TextDropTarget#on_drop_text

### TextDropTarget.new

### TextDropTarget#on_drop

Boolean on_drop(%(arg-type)Integer% x, Integer y, (arg-type) data, Integer size)

See DropTarget#on_drop. This function is implemented
appropriately for text, and calls TextDropTarget#on_drop_text.

### TextDropTarget#on_drop_text

Boolean on_drop_text(%(arg-type)Integer% x, Integer y, String data)

Override this function to receive dropped text.

#### Parameters

- x The x coordinate of the mouse.
- y The y coordinate of the mouse.
- data The data being dropped: a String.

#### Return value

Return true to accept the data, false to veto the operation.

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]